﻿@using Umbraco.Web.PublishedModels

@inherits UmbracoViewPage
@{
    var homeNodeTyped = Umbraco.AssignedContentItem.Root() as Home;
    var secondaryMenuItems = homeNodeTyped.BoSecondaryMenu;
}
<header>
    <div class="top-header-area bg-black">
        <div class="container">
            <div class="row align-items-center">
                <div class="col-md-6 text-uppercase main-font padding-10px-tb d-none d-flex align-items-center justify-content-center justify-content-md-start">



                </div>

                <div class="col-md-6 d-none d-md-flex padding-10px-tb align-items-center justify-content-end">

                    @if (secondaryMenuItems != null && secondaryMenuItems.Any())
                    {
                        var count = 0;
                        foreach (var item in secondaryMenuItems)
                        {
                            var link = item.Value<Umbraco.Web.Models.Link>("boLink");
                                if (link != null)
                                {
                                    @*<a href="@link.Url" target="@link.Target" class="block-info__title">
                                            @link.Name
                                            <span class="block-info__description">@item.Value("boLinkSubText")</span>
                                        </a>*@
                                    if (count != 0)
                                    {
                                        <div class="separator-line-verticle-extra-small bg-dark-gray display-inline-block margin-two-half-lr position-relative vertical-align-middle"></div>

                                    }
                                    <a href="@(link?.Url)" target="@(link?.Target)" class="text-link-white-2 line-height-normal">@(link?.Name)</a>
                                    count = 1;
                                }
                        }
                    }
                </div>
            </div>
        </div>
    </div>
    <!-- end topbar -->
    <!-- Start navigation -->
    <nav class="navbar navbar-default bootsnav background-white header-light navbar-expand-lg">
        <div class="container nav-header-container">
            <!-- start logo -->
            <div class="col-auto pl-lg-0">
                <a style="padding: 10px 0;" href="#" title="Pofo" class="logo">
                    @if (homeNodeTyped.HasValue("siteLogo"))
                    {
                        <img src="@homeNodeTyped.Value("siteLogo")" data-rjs="@homeNodeTyped.Value("siteLogo")" alt="@homeNodeTyped.BoCompanyName" class="logo-dark default" />
                    }
                </a>
            </div>
            <!-- end logo -->
            <div class="col accordion-menu  pr-md-3">
                <button type="button" class="navbar-toggler collapsed" data-toggle="collapse" data-target="#navbar-collapse-toggle-1">
                    <span class="sr-only">toggle navigation</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                <div class="navbar-collapse collapse justify-content-end" id="navbar-collapse-toggle-1">
                    <ul id="accordion" class="nav navbar-nav navbar-left no-margin alt-font text-normal" data-in="fadeIn" data-out="fadeOut">
                        <!-- start menu item -->
                        @if (homeNodeTyped.BoMainNavigation != null && homeNodeTyped.BoMainNavigation.Any())
                        {
                            foreach (var item in homeNodeTyped.BoMainNavigation)
                            {
                                <li class="dropdown megamenu-fw">
                                    <a href="@(item?.Url)">@(item?.Name)</a>
                                </li>
                            }
                        }
                        else
                        {
                            <li class="menu__item">
                                <a href="@homeNodeTyped.Url">@homeNodeTyped.Name</a>
                            </li>

                            var nodesUnderTheeRoot = homeNodeTyped.Children.Where(x => x.IsVisible()).ToList();
                            foreach (var item in nodesUnderTheeRoot)
                            {
                                <li class="dropdown megamenu-fw">
                                    <a href="@(item?.Url)">@(item?.Name)</a>
                                </li>
                            }
                        }
                    </ul>
                </div>
            </div>
        </div>
    </nav>
</header>